Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.ruleset
Class PatternTable

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.rules.sdk.editor.ruleset.RuleComponentTable
oracle.rules.sdk.editor.ruleset.PatternTable`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class PatternTable
extends RuleComponentTable

A PatternTable is a list of Patterns used in a Rule.

The Patterns in a PatternTable are combined using the conjuntions defined in each Pattern. By default, Patterns in the Table are And'd and there are no groups.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`Pattern` | `add()` Create a new Pattern and add it to the end of the PatternTable
`Pattern` | `add(int index)` Create a new Pattern and add it at the given index
`Pattern[]` | `flatten()`
`Pattern` | `getPattern(int index)` Get the Pattern at the given index
`Pattern` | `getPattern(java.lang.String id)` Get the Pattern with the given ID
`Pattern[]` | `getPatterns()` Get Patterns as an Array of the correct type.
`boolean` | `hasGroups()` Used to tell if the PatternTable contains sub-tables.

Methods inherited from class oracle.rules.sdk.editor.ruleset.RuleComponentTable
`add, add, addAll, discardCopy, get, getMarked, getParent, mark, mark, move, remove, remove, removeMarked, restoreCopy, saveCopy, set, unMark, validate`

Methods inherited from class java.util.ArrayList
`addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, removeRange, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Method Detail

### hasGroups

    public boolean hasGroups()

  Used to tell if the PatternTable contains sub-tables. If only of correct type.
  Returns:
    true if PatternTable contains only FactPatterns, with no sub-tables

### flatten

    public Pattern[] flatten()

### add

    public Pattern add()

  Create a new Pattern and add it to the end of the PatternTable
  Returns:
    a new Pattern

### add

    public Pattern add(int index)

  Create a new Pattern and add it at the given index
  Returns:
    a new Pattern

### getPatterns

    public Pattern[] getPatterns()

  Get Patterns as an Array of the correct type.
  Returns:
    an Array of Patterns

### getPattern

    public Pattern getPattern(int index)

  Get the Pattern at the given index
  Returns:
    the Pattern

### getPattern

    public Pattern getPattern(java.lang.String id)

  Get the Pattern with the given ID
  Returns:
    the Pattern

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.